<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('employee_overtimes', function (Blueprint $table) {
            $table->decimal('meal_amount', 12, 2)->nullable()->after('transportation');
            $table->decimal('transportation_amount', 12, 2)->nullable()->after('meal_amount');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('employee_overtimes', function (Blueprint $table) {
            $table->dropColumn('meal_amount');
            $table->dropColumn('transportation_amount');
        });
    }
};
